From fc93f92fbd1a72534c671ea3f76d4f7ec9ddeaa5 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Mon, 16 Feb 2015 18:37:02 +1300
Subject: [PATCH 3/4] Add some index terms in function docs

---
 doc/src/sgml/xfunc.sgml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index 6eada92..6437ab1 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -3307,6 +3307,15 @@ CREATE FUNCTION make_array(anyelement) RETURNS anyarray
    <sect2 id="xfunc-shmem-lwlocks" xreflabel="shared memory and LWLocks in user-defined C functions">
     <title>Shared Memory and LWLocks</title>
 
+    <indexterm zone="xfunc-shmem-lwlocks">
+     <primary>Shared memory in extensions</primary>
+    </indexterm>
+
+    <indexterm zone="xfunc-shmem-lwlocks">
+     <primary>LWLocks (extensions)</primary>
+     <secondary>Lightweight locks (extensions)</secondary>
+    </indexterm>
+
     <para>
      Add-ins can reserve LWLocks and an allocation of shared memory on server
      startup.  The add-in's shared library must be preloaded by specifying
-- 
2.1.0

